Subject: Re: 2.6.10 unable to mount a root fs on ramdisk

From: Shawn Jin <[email-masked]>
Date: Wed, 25 May 2005 10:48:45 -0700

Hi John,

Thanks for your answer.

I did add these lines to the code. Actually it turned out that I was
so stupid that I didn't enable EXT2 filesystem support in the kernel.
That's why the kernel always complained unknown block.

-Shawn.

On 5/23/05, John Otken <[email-masked]> wrote:
> I had this problem with MV code on a Bamboo board.  Look at
> platform_init() in ebony.c.  Before the call to ibm44x_platform_init() add:
> 
>        /*
>         * If we were passed in a board information, copy it into the
>         * residual data area.
>         */
>        if (r3)
>                __res = *(bd_t *)(r3 + KERNELBASE);
> 
>        /*
>         * If the init RAM disk has been configured in, and there's a valid
>         * starting address for it, set it up.
>         */
>        if (r4) {
>            initrd_start = r4 + KERNELBASE;
>            initrd_end = r5 + KERNELBASE;
>        }
> 
>        /* Copy the kernel command line arguments to a safe place. */
> 
>        if (r6) {
>            *(char *) (r7 + KERNELBASE) = 0;
>            strcpy(cmd_line, (char *) (r6 + KERNELBASE));
>        }